Subject: Re: [bug#76081] [PATCH v10 3/7] tests: oci-container: Set explicit timeouts.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 20 May 2025 18:23:29 +0900

Hi Paul,

paul <[email-masked]> writes:

> Hi Maxim,
>
> thank you for your feedback, I should have addressed all your comments.
>
> On 5/15/25 09:21, Maxim Cournoyer wrote:
>>> +              (let loop ((attempts 0))
>>> +                (if (= attempts 60)
>>> +                    (error "Service didn't come up after more than 60 seconds")
>> I'm curious as to why this is necessary, given in the previous test we
>> wait for the docker-guile service to be ready?
>>
> I think it is because between once the docker run command is run and
> the container is actually started and available through docker ps,
> there seems to be a delay. If the system is not overloaded it is
> minimal, but it happened to me that similarly to what happened in
> issue 72740 sometimes container are slow to start.
>
> I think the core problem is that the Shepherd services goes to early
> in the running state, I should make it stay in starting state until
> the container is actually started but I don't know how. If you have
> any pointers on how to achieve this I would be very happy to learn
> more. I would address it in a separate issue if you agree.
>
> It happened to me that running the test suite while compiling other
> guix packages could make the test fail, so I think if we keep this
> patch we could be safer against flaky tests. What do you think?

Thanks for explaining; yes, it seems reasonable to retry for now, and
it'd be nice if you could address the root cause in the future.

-- 
Thanks,
Maxim